package com.ms.biz.service.impl;

import com.ms.dal.entity.PurchaseOrder;
import com.ms.biz.service.PurchaseOrderService;
import com.ms.dal.mapper.PurchaseOrderMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PurchaseOrderServiceImpl implements PurchaseOrderService{

    @Autowired
    private PurchaseOrderMapper purchaseOrderMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return purchaseOrderMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PurchaseOrder record) {
        return purchaseOrderMapper.insert(record);
    }

    @Override
    public int insertSelective(PurchaseOrder record) {
        return purchaseOrderMapper.insertSelective(record);
    }

    @Override
    public PurchaseOrder selectByPrimaryKey(Long id) {
        return purchaseOrderMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PurchaseOrder record) {
        return purchaseOrderMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PurchaseOrder record) {
        return purchaseOrderMapper.updateByPrimaryKey(record);
    }

}




